let
    @testset "Plotting" begin
        # generate data
        t = 0:1/100:1
        y = 2 * sin.(5 * t) + 3 * sin.(10 * t) + 2 * sin.(30 * t)

        # find and plot maxima
        pks, vals = findmaxima(y)
        pks, proms = peakproms!(pks, y; min=1)

        plt = plotpeaks(t, y, peaks=pks, prominences=true, widths=true)
        @test plt isa Plots.Plot

        # add minima to plot
        pks, vals = findminima(y)
        pks, proms = peakproms!(pks, y; min=1)
        plt = plotpeaks!(t, y, peaks=pks, prominences=true, widths=true)
        @test plt isa Plots.Plot

        # first peak isn't an extrema
        @test_throws ArgumentError plotpeaks(t, y; peaks=[2])

        # plt = plotpeaks(t, y, peaks=pks, prominences=true, widths=true)
        # savepath_png = abspath(joinpath(@__DIR__, "..", "docs", "src", "assets", "images", "minima_prom_width.png"))
        # savefig(plt, savepath_png)
    end
end
